librrdp-perl_1.7.0-1_all.deb


Advertisement

Description

librrdp-perl - time-series data storage and display system (Perl interface, piped)

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name librrdp-perl
Package version 1.7.0
Package release 1
Package architecture all
Package type deb
Installed size 136 B
Download size 111.29 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
librrdp-perl_1.7.0-1_all.deb 1.7.0 all Debian Main
librrdp-perl - - -

Requires

Name Value
perl -
rrdtool -

Download

Type URL
Binary Package librrdp-perl_1.7.0-1_all.deb
Source Package rrdtool

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install librrdp-perl deb package:
    # sudo apt-get install librrdp-perl

Files

Path
/usr/share/doc/librrdp-perl/CONTRIBUTORS.gz
/usr/share/doc/librrdp-perl/NEWS.Debian.gz
/usr/share/doc/librrdp-perl/NEWS.gz
/usr/share/doc/librrdp-perl/changelog.Debian.gz
/usr/share/doc/librrdp-perl/changelog.gz
/usr/share/doc/librrdp-perl/copyright
/usr/share/man/man3/RRDp.3pm.gz
/usr/share/perl5/RRDp.pm

Changelog

2018-02-07 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.7.0-1) unstable; urgency=medium
* New upstream version:
- Refreshed copyrights. Python bindings switch to LGPL-2.1+.
- Acknowledged new symbols in librrd.
- Added build dependency on python-setuptools.
- Renamed python egg-info.
- Added rrdlist documentation.
- Added installation translations.
- Refreshed patches.
- Added clean-up for left over files in tests/.
* Dropped lua5.1 transitional packages.
* Dropped reproducible build C hacks.
* Clean up uploaders list. (Closes: #879510, 879511)
* Build a python3-rrdtool package, using pybuild. Thanks to Matthias Klose.
(Closes: #883164)
* Bumped standard to 4.1.3:
- Use secure scheme in copyright format.
- Changed priorities from extra to optional.
* rrdcached: Added lsb-base dependency.
* Bumped compat to 11:
- autoreconf is now implicit. Dropped dh --with autoreconf and
build-dependency.
- Moved --fail-missing from dh_install to dh_missing.
2016-04-25 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.6.0-1) unstable; urgency=low
* New upstream version:
- Soname bump to librrd8. Adjusted library package name.
- No longer installing librrd_th.so. The whole library is now thread safe.
- Python binding: Release the GIL when doing I/O. (Closes: #691765)
- Drop patches applied upstream.
* d/control: Switched Vcs-Git to a secure uri.
* Enabled bindnow hardening.
* Bumped policy to 3.9.8: No change required.
* Added lintian false positive override for librrds-perl.
2016-04-25 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.5.6-1) unstable; urgency=medium
* New upstream release.
* Use upstream version of patch tests_noverbose.
* Partial drop of d/patches/reproducible-builds, now built in pod2man.
2016-03-23 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.5.5-4) unstable; urgency=high
* Expanded list of files to install. (Closes: #807024)
* New patch tests_noverbose to disable verbose in tests. This was polluting
the output, make tests fails, and FTBFS. (Closes: #818156)
* Bumped policy to 3.9.7: No change required.
2015-12-20 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.5.5-3) unstable; urgency=high
* Updated d/patch/series file. (Closes: #805391)
2015-12-20 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.5.5-2) unstable; urgency=high
* New patch/mmap_memcpy_overlap to fix FTBFS on mips. Thanks to
Niko Tyni. (Closes: #805391)
2015-11-16 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.5.5-1) unstable; urgency=medium
* New upstream release:
- Drop patches 7digit and pm_noexec: Applied upstream.
* Adjusted rrd-lua.lintian-override for lua5.3.
* Dropped rrdtool-dbg lintian-overrides, fixed in lintian.
2015-08-17 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.5.4-5) unstable; urgency=medium
* Removed Multi-Arch:no. (Closes: #795646)
* Added support for lua5.3.
* Removed rrdcached from hurd since it uses 'Not implemented' functions.
* Reduced build and -dev dependencies.
2015-08-14 - Jean-Michel Vourgère <nirgal@debian.org>
rrdtool (1.5.4-4) unstable; urgency=medium
* Allowed dh_install to proceed when python-setuptools is not installed.
* Added patch 390x_first_week_day to fix unit tests on 390x architectures.
* Enabled Multi-Arch. Partial support due to #117142. Lintian override for
python debug symbols (See #795275).
* Enabled perl-shared unit tests.
* Refreshed lua patches headers: Applied-Upstream.

See Also

Package Description
librrds-perl_1.7.0-1+b3_amd64.deb time-series data storage and display system (Perl interface, shared)
librrdtool-oo-perl_0.36-2_all.deb object-oriented interface to RRDTool
librsb-dev_1.2.0-rc7-5+b1_amd64.deb recursive sparse blocks matrix computations library (development)
librsb-doc_1.2.0-rc7-5_all.deb recursive sparse blocks matrix computations library (documentation)
librsb0_1.2.0-rc7-5+b1_amd64.deb recursive sparse blocks matrix computations library
librscode-dev_1.3-5_amd64.deb development libraries and headers for RSCODE
librscode1_1.3-5_amd64.deb library implementing a Reed-Solomon error correction algorithm
librsl-dev_1.43-1.2_amd64.deb Development files for RSL
librsl-doc_1.43-1.2_all.deb HTML documentation for RSL
librsl1_1.43-1.2_amd64.deb TRMM Radar Software Library
librss-ocaml-dev_2.2.1-3+b9_amd64.deb RSS 2.0 parser and printer for OCaml (development)
librss-ocaml_2.2.1-3+b9_amd64.deb RSS 2.0 parser and printer for OCaml (runtime)
librsskit-dev_0.4-1+b1_amd64.deb GNUstep RSS framework (development files)
librsskit0d_0.4-1+b1_amd64.deb GNUstep RSS framework (runtime library)
librsvg2-2_2.44.9-1_amd64.deb SAX-based renderer library for SVG files (runtime)
Advertisement
Advertisement